task multiqc {

	Array[File] read1_zip
	Array[File] read2_zip

	Array[File] txt1
	Array[File] txt2

	Array[File] genome_result
	Array[File] coverage
	Array[File] insert_size
	Array[File] genome_fraction
	Array[File] gc_dist

	Array[File] summary

	String docker
	String cluster_config
	String disk_size

	command <<<
		set -o pipefail
		set -e
		mkdir -p /cromwell_root/tmp/fastqc
		mkdir -p /cromwell_root/tmp/fastqscreen
		mkdir -p /cromwell_root/tmp/bamqc
		mkdir -p /cromwell_root/tmp/benchmark

		cp ${sep=" " read1_zip} ${sep=" " read2_zip} /cromwell_root/tmp/fastqc
		cp ${sep=" " txt1} ${sep=" " txt2} /cromwell_root/tmp/fastqscreen
		cp ${sep=" " genome_result} ${sep=" " coverage} ${sep=" " insert_size} ${sep=" " genome_fraction} ${sep=" " gc_dist} /cromwell_root/tmp/bamqc
		cp ${sep=" " summary} /cromwell_root/tmp/benchmark

		multiqc /cromwell_root/tmp/
		ls > filelist
	>>>

	runtime {
		docker:docker
		cluster:cluster_config
		systemDisk:"cloud_ssd 40"
		dataDisk:"cloud_ssd " + disk_size + " /cromwell_root/"
	}

	output {
		File filelist = "filelist"
		File multiqc_html = "multiqc_report.html"
		Array[File] multiqc_txt = glob("multiqc_data/*")
	}
}